com.microfocus.zos.model

## Interface IJob

- All Known Subinterfaces:
    ITaurusJob
  All Known Implementing Classes:
    TaurusJob

      public interface IJob

  Interface for a z/OS JES Job
  Author:
    Micro Focus

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `cancel(org.eclipse.core.runtime.IProgressMonitor pMon)` Cancels a running job.
    `boolean` | `endedWithError()` Gets whether the job has finished with errors.
    `java.lang.String` | `getCompletionCode()` Gets the job completion code (CC)
    `java.lang.String` | `getCompletionInfo()` Gets the job completion info
    `java.io.InputStream` | `getContents(org.eclipse.core.runtime.IProgressMonitor pMon)` Deprecated. Use `getJobOutput(IProgressMonitor)` instead.
    `java.util.Date` | `getEndTime()` Gets the job's end time.
    `java.util.Date` | `getExecutionTime()` Gets the job's execution time.
    `java.lang.String` | `getFullDsn()` Gets the job name and ID.
    `java.util.Date` | `getInputTime()` Gets the job's input time.
    `java.lang.String` | `getJobClass()` Gets the job class.
    `java.lang.String` | `getJobID()` Gets the job ID.
    `java.lang.String` | `getJobOutput(org.eclipse.core.runtime.IProgressMonitor pMon)` Gets the job output.
    `java.lang.String` | `getName()` Gets the job name.
    `java.lang.String` | `getOwner()` Gets the job owner user ID.
    `JobPhase` | `getPhase()` Gets the job phase.
    `int` | `getPosition()` Gets the job position.
    `int` | `getPriority()` Gets the job priority.
    `EJobState` | `getState()` Gets the job state.
    `ISystemImage` | `getSystemImage()` Gets the system image to which the job belongs.
    `java.lang.String` | `getType()` Gets the JES job type.
    `boolean` | `isFinished()`
    `void` | `setClass(java.lang.String pClass)` Sets the job class.
    `void` | `setCompletionCode(java.lang.String pCC)` Sets the completion code
    `void` | `setCompletionInfo(java.lang.String pCompletionInfo)` Sets the completion info (CC info)
    `void` | `setJobID(java.lang.String pID)` Sets the job ID.
    `void` | `setName(java.lang.String pName)` Sets the job name.
    `void` | `setOwner(java.lang.String pOwner)` Sets the job owner user ID.
    `void` | `setPhase(JobPhase pPhase)` Sets the job phase.
    `void` | `setPos(int pPos)` Sets the job position.
    `void` | `setPriority(int pPriority)` Sets the job priority.
    `void` | `setState(EJobState pState)` Sets the job state.
    `void` | `setType(java.lang.String pType)` Sets the job type.

- - ### Method Detail

    - #### getSystemImage

          ISystemImage getSystemImage()

      Gets the system image to which the job belongs.
      Returns:
        the z/OS system image

    - #### setJobID

          void setJobID(java.lang.String pID)

      Sets the job ID.
      Parameters:
        `pID` - the job ID to set

    - #### getName

          java.lang.String getName()

      Gets the job name.
      Returns:
        the job name

    - #### getFullDsn

          java.lang.String getFullDsn()

      Gets the job name and ID.
      Returns:
        the job name and ID

    - #### getJobID

          java.lang.String getJobID()

      Gets the job ID.
      Returns:
        the job ID

    - #### getOwner

          java.lang.String getOwner()

      Gets the job owner user ID.
      Returns:
        the job owner

    - #### getType

          java.lang.String getType()

      Gets the JES job type.
      Returns:
        the job type

    - #### getJobClass

          java.lang.String getJobClass()

      Gets the job class.
      Returns:
        the job class

    - #### getCompletionCode

          java.lang.String getCompletionCode()

      Gets the job completion code (CC)
      Returns:
        the completion code

    - #### getCompletionInfo

          java.lang.String getCompletionInfo()

      Gets the job completion info
      Returns:
        the completion info

    - #### setCompletionCode

          void setCompletionCode(java.lang.String pCC)

      Sets the completion code
      Parameters:
        `pCC` - the completion code to set

    - #### setCompletionInfo

          void setCompletionInfo(java.lang.String pCompletionInfo)

      Sets the completion info (CC info)
      Parameters:
        `pCompletionInfo` - the completion info to set

    - #### getPriority

          int getPriority()

      Gets the job priority.
      Returns:
        the priority

    - #### getPosition

          int getPosition()

      Gets the job position.
      Returns:
        the job position

    - #### getPhase

          JobPhase getPhase()

      Gets the job phase.
      Returns:
        the job phase

    - #### setOwner

          void setOwner(java.lang.String pOwner)

      Sets the job owner user ID.
      Parameters:
        `pOwner` - the job owner to set

    - #### setName

          void setName(java.lang.String pName)

      Sets the job name.
      Parameters:
        `pName` - the job name to set

    - #### setType

          void setType(java.lang.String pType)

      Sets the job type.
      Parameters:
        `pType` - the job type to set

    - #### setClass

          void setClass(java.lang.String pClass)

      Sets the job class.
      Parameters:
        `pClass` - the job class to set

    - #### setPriority

          void setPriority(int pPriority)

      Sets the job priority.
      Parameters:
        `pPriority` - the priority to set

    - #### setPos

          void setPos(int pPos)

      Sets the job position.
      Parameters:
        `pPos` - the position to set

    - #### setPhase

          void setPhase(JobPhase pPhase)

      Sets the job phase.
      Parameters:
        `pPhase` - the phase to set

    - #### getState

          EJobState getState()

      Gets the job state.
      Returns:
        the job state

    - #### setState

          void setState(EJobState pState)

      Sets the job state.
      Parameters:
        `pState` - the job state to set

    - #### endedWithError

          boolean endedWithError()

      Gets whether the job has finished with errors.
      Returns:
        `true` if the job has finished with errors, `false` if it hasn't finished, or finished without errors

    - #### isFinished

          boolean isFinished()

      Returns:
        `true` if the job is finished (possibly with errors)

    - #### cancel

          java.lang.String cancel(org.eclipse.core.runtime.IProgressMonitor pMon)
                           throws java.lang.Exception

      Cancels a running job.
      Parameters:
        `pMon` - progress monitor
      Returns:
        message returned by the cancel command. Can be `null`
      Throws:
        `java.lang.Exception` - if canceling the job failed

    - #### getContents

          @Deprecated
          java.io.InputStream getContents(org.eclipse.core.runtime.IProgressMonitor pMon)
                                                throws java.lang.Exception

      Deprecated. Use `getJobOutput(IProgressMonitor)` instead.
      Gets the job output.
      Parameters:
        `pMon` - progress monitor
      Returns:
        output of the job
      Throws:
        `java.lang.Exception` - if getting the job output failed

    - #### getJobOutput

          java.lang.String getJobOutput(org.eclipse.core.runtime.IProgressMonitor pMon)
                                 throws java.io.IOException

      Gets the job output.
      Parameters:
        `pMon` - progress monitor
      Returns:
        output of the job
      Throws:
        `java.io.IOException` - if getting the job output failed

    - #### getInputTime

          java.util.Date getInputTime()

      Gets the job's input time.
      Returns:
        the input time or `null` if if wasn't set or returned by the server

    - #### getExecutionTime

          java.util.Date getExecutionTime()

      Gets the job's execution time.
      Returns:
        the execution time or `null` if if wasn't set or returned by the server

    - #### getEndTime

          java.util.Date getEndTime()

      Gets the job's end time.
      Returns:
        the end time or `null` if if wasn't set or returned by the server

Copyright © 2015 Micro Focus GmbH. All rights reserved.